<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
	// Cabecera de página
	function Header() {
	    $this->Image('imagenes/escudo.jpg',20,15,20,25);
	    $this->SetFont('Arial','B',14);
	    $this->Ln(10);
	    $this->Cell(80);
	    include("../php/conexion-infogeneral.php");
	    $idi=$_GET['idi'];
	    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
		if(mysql_num_rows($DatosInstitucion)>0) {
			$registro=mysql_fetch_array($DatosInstitucion);
			$institucion=utf8_decode($registro["nombreie"]);
			$departamento=utf8_decode($registro["departamentoie"]);
			$municipio=utf8_decode($registro["municipioie"]);
			$dane=$registro["daneie"];
			$nit=$registro["nitie"];
			$resolucion=utf8_decode($registro["resolucionie"]);
		}
		$nomsede=utf8_decode($_GET['nomsede']);
	    $this->Cell(40,0,$institucion,0,0,'C');
	    $this->Ln(5);
	    $this->SetFont('Arial','B',10);
	    $this->Cell(80);
	    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
	    $this->Ln(5);
	    $this->SetFont('Arial','B',8);
	    $this->Cell(80);
	    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
	    $this->Ln(5);
	    $this->SetFont('Arial','I',10);
	    $this->Cell(80);
	    $this->Cell(40,0,$nomsede,0,0,'C');
	    $this->Ln(5);
	    $this->SetFont('Arial','B',12);
	    $this->Cell(80);
	    $this->Cell(40,0,'REPORTE DE CALIFICACIONES POR PERIODO ACADEMICO',0,0,'C');
	    $this->Ln(5);
	}
// Pie de página
function Footer()
{
    $this->SetY(-22);
	$tamañoreporte=$_POST['tamanoreporte'];
	if ($tamañoreporte=="1")
		$this->Image('imagenes/firmarector.jpg',25,248,35,30);
	else
		$this->Image('imagenes/firmarector.jpg',25,323,35,30);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select rectorie From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$rector=utf8_decode($registro["rectorie"]);
	}
	$this->SetFont('Times','B',8);
	$this->Ln(8);
	$this->Cell(15);
	$this->Cell(75,3,$rector,0,0,'L');
	$grupo=$_POST['grupoest'];$bdie= $_GET['bdie'];
	$director="";
	include("../php/conexion-bdie.php");
	$regdirector=mysql_query("Select director From datos_grupos Where idgrupo='$grupo'",$db_basededatosie);
	if(mysql_num_rows($regdirector)>0) {
		$registro=mysql_fetch_array($regdirector);
		$iddirector=$registro["director"];
		$regdocentes=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddirector'",$db_basededatosie);
		if(mysql_num_rows($regdocentes)>0) {
			$registrodocente=mysql_fetch_array($regdocentes);
			$director=utf8_decode($registrodocente["apellidos"]." ".$registrodocente["nombres"]);
		}
	}
	$this->Cell(25);
	$this->Cell(75,3,$director,0,1,'L');
	$this->SetFont('Times','',8);
	$this->Cell(15);
	$this->Cell(75,3,'Rector',0,0,'L');
	$this->Cell(25);
	$this->Cell(75,3,'Director(a) de Grupo/Curso',0,1,'L');
}
}

// Creación del objeto de la clase heredada

$tamañoreporte=$_POST['tamanoreporte'];
if ($tamañoreporte=="1"){
	$pdf = new PDF('P','mm','letter');
	$pdf->SetMargins(10, 5, 5, 1); // Margen izquierdo de 10, Superior 10 y se maneja un ancho de 185 para el contenido, Margen derecho de 5, Margen inferior de 1
}
else{
	$pdf = new PDF('P','mm','legal');
	$pdf->SetMargins(10, 5, 5, 1); // Margen izquierdo de 10, Superior 10 y se maneja un ancho de 185 para el contenido, Margen derecho de 5, Margen inferior de 1
}
$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$idi=$_GET['idi'];
// else{
	$contador="0";
	include("../php/conexion-bdie.php");
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
	while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
		$sumanotas=0; $numnotas=0; $promedioestudiante=number_format(0,2);
		$nuid=$FilaMatriculado["nuid"];
		$regestudiantes=mysql_query("Select nombres,apellidos,documento From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
		if(mysql_num_rows($regestudiantes)>0){
			$FilaEstudiante=mysql_fetch_array($regestudiantes);
			$regnotasestudiante=mysql_query("Select definitiva,idasignatura From datos_notastipo1 Where nuid='$nuid' And periodo='$periodo'",$db_basededatosie);
			while ($FilaNotas=mysql_fetch_array($regnotasestudiante)){
				$definitiva=number_format($FilaNotas["definitiva"],1);
				$idasignatura=$FilaNotas["idasignatura"];
				$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='1'",$db_basededatosie);
				if(mysql_num_rows($regrecup)>0){
					$FilaRecup=mysql_fetch_array($regrecup);
					$recup=number_format($FilaRecup["recuperacion"],1);
					if ($definitiva<3){
						$definitiva=($definitiva+$recup)/2;
						$Sw=1;
					}
					else{
						if ($recup > $definitiva){
							$definitiva=$recup;
							$Sw=1;
						}
					}
				}
						
				$idarea=0;
				$regareas=mysql_query("Select idarea,estado From datos_asignaturas Where idasignatura='$idasignatura'",$db_basededatosie);
				if(mysql_num_rows($regareas)>0){
					$FilaArea=mysql_fetch_array($regareas);
					$idarea=$FilaArea["idarea"];
					$estado=$FilaArea["estado"];
				}
				if ($idarea<>'30' And $idarea<>'32' and $estado=='1') {
					$sumanotas=$sumanotas+$definitiva;
					$numnotas=$numnotas+1;
				}
			}
			if ($numnotas){
				$promedioestudiante=number_format($sumanotas/$numnotas,2);
			}
	
			$estudiantesdesordenados[$contador][0]=$promedioestudiante;
			$estudiantesdesordenados[$contador][1]=utf8_decode($FilaEstudiante["apellidos"])." ".utf8_decode($FilaEstudiante["nombres"]);
			$estudiantesdesordenados[$contador][2]=$nuid;
			$estudiantesdesordenados[$contador][3]=$FilaEstudiante["documento"];
			$contador=$contador+1;
		}
	}
	// Ordenar el array ... 
	if ($estudiantesdesordenados)
		rsort($estudiantesdesordenados);
	else
		$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C'); 
	
	for ($i=0;$i<$contador;$i++){
		$nuid=$estudiantesdesordenados[$i][2];
		$nombreestudiante=$estudiantesdesordenados[$i][1];
		$promedioperiodo=number_format($estudiantesdesordenados[$i][0],2);
		$documento=$estudiantesdesordenados[$i][3];
		$puesto=$i+1;
		$puestoperiodo=$puesto.' de '.$contador;
		include("../php/conexion-bdie.php");
		
		$pdf->AddPage();
		// Salto de línea
		$pdf->Ln(5);
		$pdf->SetFont('Times','B',10);
		$pdf->Cell(195,8,$nombreestudiante,1,1,'C');
		$pdf->SetFont('Times','B',8);
		$pdf->Cell(45,5,'DOCUMENTO: '.$documento,1,0,'L'); $pdf->Cell(30,5,'CODIGO: '.substr($nuid,12,5),1,0,'C');
		$pdf->Cell(25,5,'AÑO: '.substr($lectivo,1,4),1,0,'C'); $pdf->Cell(25,5,'PERIODO: '.$periodo,1,0,'C');
		$pdf->Cell(35,5,'GRADO/CURSO: '.substr($grupo,15,2).'-'.substr($grupo,17,1),1,0,'C');$pdf->Cell(35,5,'Prom: '.$promedioperiodo.'  Puesto: '.$puestoperiodo,1,1,'C');
		
		$pdf->Ln(5);
		include("../php/conexion-bdie.php");
		$regareas=mysql_query("Select * From datos_areas order by ordenimpresion",$db_basededatosie);
		while ($FilaArea=mysql_fetch_array($regareas)){
			$idarea=$FilaArea["idarea"];
			$area=utf8_decode($FilaArea["area"]);
			$sumaarea=0;
			$contarasignaturas=0;
			include("../php/conexion-bdie.php");
			$regasignaturas=mysql_query("Select * From datos_asignaturas Where idarea='$idarea' And danesede='$danesede' And estado='1' order by idasignatura",$db_basededatosie);
			while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
				$idasignatura=$FilaAsignatura["idasignatura"];
				$asignatura=utf8_decode($FilaAsignatura["asignatura"]);
				$ih=$FilaAsignatura["ih"];$recup1="";$recup2="";$recup3="";$recup4="";
				$fallas=0;$sumafallas=0;$sumanotas=0;$nivel="-";$definitiva='';
				$arregloasignatura[0][0]="";$arregloasignatura[0][1]="";$arregloasignatura[0][2]="";$arregloasignatura[0][3]="";$arregloasignatura[0][4]="";
				$arregloasignatura[0][5]="";$arregloasignatura[0][6]="";$arregloasignatura[0][7]="";$arregloasignatura[0][8]="";$arregloasignatura[0][9]="";
				$arregloasignatura[0][10]="";$arregloasignatura[0][11]="";$arregloasignatura[0][12]="";$arregloasignatura[0][13]="";$arregloasignatura[0][14]="";
				$regnotas=mysql_query("Select * From datos_notastipo1 Where idasignatura='$idasignatura' And nuid='$nuid'",$db_basededatosie);
				while ($FilaNotas=mysql_fetch_array($regnotas)){
					$fallas=$FilaNotas["fallas"];
					$definitiva=number_format($FilaNotas["definitiva"],1);
					$perio=$FilaNotas["periodo"];
					$arregloasignatura[$contarasignaturas][0]=$idasignatura;
					$arregloasignatura[$contarasignaturas][1]=$asignatura;
					$arregloasignatura[$contarasignaturas][2]=$ih;
					if ($perio=="1") {
						$arregloasignatura[$contarasignaturas][3]=$fallas;
						$arregloasignatura[$contarasignaturas][4]=number_format($definitiva,1);
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='1'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recup1=number_format($FilaRecup["recuperacion"],1);
							if ($definitiva<3){
								$definitiva=($definitiva+$recup1)/2;
								$Sw=1;
							}
							else{
								if ($recup1 > $definitiva){
									$definitiva=$recup1;
									$Sw=1;
								}
							}
						}
						$sumanotas=$sumanotas+$definitiva;	
					}
					if ($perio=="2") {
						$definitivap="";
						$arregloasignatura[$contarasignaturas][5]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='2'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recup2=number_format($FilaRecup["recuperacion"],1);
							if ($definitiva<3){
								$definitivap=($definitiva+$recup2)/2;
								$Sw=1;
							}
							else{
								if ($recup2 > $definitiva){
									$definitivap=$recup2;
									$Sw=1;
								}
							}
						}
						$arregloasignatura[$contarasignaturas][6]=number_format($definitiva,1);
						if ($definitivap=="")
							$sumanotas=$sumanotas+$definitiva;
						else
							$sumanotas=$sumanotas+number_format($definitivap,1);	
					}
					if ($perio=="3") {
						$definitivap="";
						$arregloasignatura[$contarasignaturas][11]=$fallas;
						$arregloasignatura[$contarasignaturas][12]=number_format($definitiva,1);
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='3'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recup3=number_format($FilaRecup["recuperacion"],1);
							if ($definitiva<3){
								$definitivap=($definitiva+$recup3)/2;
								$Sw=1;
							}
							else{
								if ($recup3 > $definitiva){
									$definitivap=$recup3;
									$Sw=1;
								}
							}
						}
						$arregloasignatura[$contarasignaturas][12]=number_format($definitiva,1);
						if ($definitivap=="")
							$sumanotas=$sumanotas+$definitiva;
						else
							$sumanotas=$sumanotas+number_format($definitivap,1);
					}
					if ($perio=="4") {
						$arregloasignatura[$contarasignaturas][13]=$fallas;
						$arregloasignatura[$contarasignaturas][14]=number_format($definitiva,1);
						$sumafallas=$sumafallas+$fallas;
			
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='4'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recup4=number_format($FilaRecup["recuperacion"],0);
						}
						if ($recup4 > $definitiva)
							$sumanotas=$sumanotas+$recup4;
						else
							$sumanotas=$sumanotas+$definitiva;
					}
					$nivel='-';
					if ($definitivap==""){
					if (number_format($definitiva,1)<3)
						$nivel="BAJO";
					if (number_format($definitiva,1)>=3 And number_format($definitiva,1)<=3.9)
						$nivel="BASICO";
					if (number_format($definitiva,1)>=4 && number_format($definitiva,1)<=4.5)
						$nivel="ALTO";
					if (number_format($definitiva,1)>=4.6)
						$nivel="SUPERIOR";
					} else{
					if (number_format($definitivap,1)<3)
						$nivel="BAJO";
					if (number_format($definitivap,1)>=3 And number_format($definitivap,1)<=3.9)
						$nivel="BASICO";
					if (number_format($definitivap,1)>=4 && number_format($definitivap,1)<=4.5)
						$nivel="ALTO";
					if (number_format($definitivap,1)>=4.6)
						$nivel="SUPERIOR";
					}
					$arregloasignatura[$contarasignaturas][7]=$sumafallas;
					if ($sumanotas>0)
						$promedio=$sumanotas/$periodo;;
						// $promedio=$sumanotas/$periodo;
					$arregloasignatura[$contarasignaturas][8]=number_format($promedio,1);
					
					$arregloasignatura[$contarasignaturas][9]=$nivel;
					$regtitular=mysql_query("Select iddocente From datos_asignaturasdocentes Where idasignatura='$idasignatura' And idgrupo='$grupo'",$db_basededatosie);
					if(mysql_num_rows($regtitular)>0){
						$FilaTitular=mysql_fetch_array($regtitular);
						$iddocente=$FilaTitular["iddocente"];
						$regdocente=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddocente'",$db_basededatosie);
						if(mysql_num_rows($regdocente)>0){
							$FilaDocente=mysql_fetch_array($regdocente);
							$docente=utf8_decode($FilaDocente["nombres"])." ".utf8_decode($FilaDocente["apellidos"]);
						}
					}
					$arregloasignatura[$contarasignaturas][10]=$docente;			
				}
				if ($sumanotas>0){
					$pdf->SetFont('Times','',8);
					$pdf->Cell(5);
					$idasignatura=$arregloasignatura[$contarasignaturas][0];
					$pdf->Cell(100,5,$arregloasignatura[$contarasignaturas][1],1,0,'L');
					$pdf->Cell(13,5,'I.H.: '.$arregloasignatura[$contarasignaturas][2],1,0,'C');
					$pdf->Cell(13,5,'F.P.: '.$arregloasignatura[$contarasignaturas][11],1,0,'C');
					$pdf->Cell(13,5,'F.A.: '.$arregloasignatura[$contarasignaturas][7],1,0,'C');
					if (substr($grupo,15,2)=="00"){
						$pdf->Cell(25,5,'NIVEL',1,0,'C');
					}
					else{
						if ($definitivap=="")
							$pdf->Cell(30,5,'NOTA PERIODO: '.$arregloasignatura[$contarasignaturas][6],1,0,'C');
						else
							$pdf->Cell(30,5,'NOTA PERIODO: '.number_format($definitivap,1),1,0,'C');
					}
					$pdf->Cell(21,5,$arregloasignatura[$contarasignaturas][9],1,1,'C');
					$pdf->SetFont('Times','I',7);
					$pdf->Cell(5);
					$pdf->Cell(70,5,'Docente: '.$arregloasignatura[$contarasignaturas][10],1,0,'R');
					$pdf->Cell(24,5,'Per1: '.$arregloasignatura[$contarasignaturas][4]." - Rec: ".number_format($recup1,1),1,0,'C');
					$pdf->Cell(24,5,'Per2: '.$arregloasignatura[$contarasignaturas][6]." - Rec: ".number_format($recup2,1),1,0,'C');
					$pdf->Cell(24,5,'Per3: '.$arregloasignatura[$contarasignaturas][12]." - Rec: ".number_format($recup3,1),1,0,'C');
					$pdf->Cell(24,5,'Per4: '.$arregloasignatura[$contarasignaturas][14]." - Rec: ".$recup4,1,0,'C');
					$pdf->Cell(24,5,'Promedio: '.$arregloasignatura[$contarasignaturas][8],1,1,'C');
					$pdf->Cell(5);$pdf->Cell(15,3,'Observaciones Generales del Area:',0,1,"L");
					$pdf->SetFont('Times','I',6);
					$regfrasesestudiante=mysql_query("Select idfrase From datos_frasesestudiante Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo' order by idfrase",$db_basededatosie);
					while ($FilaFrases=mysql_fetch_array($regfrasesestudiante)){
						$idfrase=$FilaFrases["idfrase"];
						include("../php/conexion-bdie.php");
						$regfrase=mysql_query("Select frase,tipofrase From datos_frases Where idfrase='$idfrase' And danesede='$danesede'",$db_basededatosie);
						if(mysql_num_rows($regfrase)>0){
							$FilaFrase=mysql_fetch_array($regfrase);
						//	if ($FilaFrase["tipofrase"]=="F")
						//		$tipofrase="Fortaleza: ";
						//	if ($FilaFrase["tipofrase"]=="D")
						//		$tipofrase="Dificultad: ";
						//	if ($FilaFrase["tipofrase"]=="R")
						//		$tipofrase="Recomendación: ";
							$frase=strtoupper(utf8_decode($FilaFrase["frase"]));
						//	$pdf->Cell(5);$pdf->Cell(15,3,$tipofrase,0,0,"L");
							$pdf->Cell(13);$pdf->MultiCell(185,3,$frase,0);
						}
					}
					$pdf->Ln(2);
				}
			}
		}
		$pdf->Cell(195,5,'OBSERVACIONES:',0,1,'L');
		$pdf->Cell(195,15,'',1,1,'C');
		$pdf->SetFont('Times','I',7);
		$pdf->Cell(120,4,'Niveles: [BAJO: 1.0 a 2.9] [BASICO: 3.0 a 3.9] [ALTO: 4.0 a 4.5] [SUPERIOR: 4.6 a 5.0]',0,0,'L'); $pdf->Cell(75,4,'Convenciones: I.H. Intensidad Horaria     F.P. Fallas en el Periodo     F.A. Fallas Acumuladas',0,1,'R');


	}
//}

$pdf->Output();
?>